gnutls_record_recv_seq(3)

NAME
gnutls_record_recv_seq - API function

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_recv_seq(gnutls_session_t session, void * data, size_t data_size, unsigned char * seq);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

void * data
    the buffer that the data will be read into

size_t data_size
    the number of requested bytes

unsigned char * seq
    is the packet's 64-bit sequence number. Should have space for 8 bytes.

DESCRIPTION
This function is the same as gnutls_record_recv(), except that it returns in addition to data, the sequence number of the data. This is useful in DTLS where record packets might be received out-of-order. In DTLS the least significant 48-bits are a unique sequence number, per handshake. If your application is using TLS re-handshakes then the full 64-bits should be used as a unique sequence.

RETURNS
the number of bytes received and zero on EOF. A negative error code is returned in case of an error. The number of bytes received might be less than data_size.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.